import * as FusionAuthProvider from '../../context'
import { IAuthContext } from '../../context/models'
import { createContextMock } from './createContextMock'

export const mockUseAuth = (context: Partial<IAuthContext> = {}) => {
  const contextMock = createContextMock(context)
  return jest.spyOn(FusionAuthProvider, 'useAuth').mockReturnValue(contextMock)
}
